Bug 467396 - (mingw32-freetype) Review Request: mingw32-freetype - Free and portable font rendering engine
Review Request: mingw32-freetype - Free and portable font rendering engine
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On: mingw32-gcc mingw32-zlib mingw32-dlfcn
Blocks: mingw32-fontconfig mingw32-pango
  Show dependency treegraph
 
Reported: 2008-10-17 06:24 EDT by Richard W.M. Jones
Modified: 2009-01-21 16:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-21 16:31:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tla: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 2 Tim Lauridsen 2009-01-16 05:12:22 EST
i will take this one
Comment 3 Tim Lauridsen 2009-01-16 05:16:51 EST
$ rpmlint Download/mingw32-freetype-2.3.7-5.fc10.src.rpm 
mingw32-freetype.src: W: patch-not-applied Patch1: freetype-2.1.10-enable-ft2-bci.patch
mingw32-freetype.src: W: patch-not-applied Patch2: freetype-2.3.0-enable-spr.patch
mingw32-freetype.src: W: patch-not-applied Patch3: freetype-2.2.1-enable-valid.patch
mingw32-freetype.src: W: patch-not-applied Patch4: freetype-2.2.1-memcpy-fix.patch
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

Patches should be applied or removed from spec.
Comment 4 Tim Lauridsen 2009-01-16 05:26:52 EST
MUST:
* package must match the upstream source 
83306194817ebdea554133b4232a34aa  freetype-2.3.7.tar.bz2 (SRPM)
83306194817ebdea554133b4232a34aa  freetype-2.3.7.tar.bz2
2ba135e6a126ed86e9b462167511ced8  freetype-doc-2.3.7.tar.bz2 (SRPM)
2ba135e6a126ed86e9b462167511ced8  freetype-doc-2.3.7.tar.bz2


* package is named appropriately
    mingw32-*
* it is legal for Fedora to distribute this
* license field matches the actual license.
* license is open source-compatible.
* specfile name matches %{name}
* summary and description fine
* correct buildroot
* %{?dist} is used
* no license text included in package  
* package meets FHS (http://www.pathname.com/fhs/)
* changelog format fine 
* Packager, Vendor ,Distribution tag not used
* License used and not Copyright 
* Summary tag does not end in a period
* specfile is legible
* package successfully compiles and builds on at least x86
* make sure lines are <= 80 characters
* specfile written in American English
* no -doc sub-package necessary
* /sbin/ldconfig used in packages containing libraries.
    no native libs
* GUI app, has .desktop file and uses desktop-file-install to install it.
    not a gui app
* header files goes into -devel sub-package.
    no native header files
* *.so goes into -devel sub-package.
    no *.so files
* macros used appropriately and consistently
* no %makeinstall
* install section must begin with rm -rf $RPM_BUILD_ROOT or %{buildroot}
* The spec file handles locales properly (%find_lang )
    no locales
* split Requires(pre,post) into two separate lines
* package not relocatable
* package contains code
* package owns all directories and files
* no %files duplicates
* %defattrs present 
* %clean present
* %doc files do not affect runtime
* packages is following the MinGW guidelines (http://fedoraproject.org/wiki/Packaging/MinGW)
Comment 5 Tim Lauridsen 2009-01-16 05:29:15 EST
rpmlint ../rpmbuild/RPMS/noarch/mingw32-freetype-2.3.7-5.fc10.noarch.rpm 
mingw32-freetype.noarch: W: no-documentation
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/bin/freetype-config
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/ftcid.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/ftmm.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/ttunpat.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/config/ftheader.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/ftsizes.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/pkgconfig/freetype2.pc
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/ftcache.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/fttypes.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/config/ftstdlib.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/ftstroke.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/fttrigon.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/t1tables.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/ft2build.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/ftotval.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/fterrdef.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/ftrender.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/ftsnames.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/ftlist.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/config/ftconfig.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/ftgzip.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/ftmodapi.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/ftchapters.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/ftxf86.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/ftgasp.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/ftlzw.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/ftmoderr.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/ftbbox.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/ftimage.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/ftbdf.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libfreetype.dll.a
mingw32-freetype.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libfreetype.dll.a
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/config/ftoption.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/ftgxval.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/ftlcdfil.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/ftglyph.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/ftsynth.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/fterrors.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/tttags.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/ftincrem.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/ftsystem.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/ftoutln.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/ftpfr.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/ttnameid.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/ftbitmap.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/config/ftmodule.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/ftmac.h
mingw32-freetype.noarch: E: script-without-shebang /usr/i686-pc-mingw32/sys-root/mingw/lib/libfreetype.la
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/freetype.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/ftwinfnt.h
mingw32-freetype.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/freetype2/freetype/tttables.h
mingw32-freetype.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libfreetype.dll.a
mingw32-freetype.noarch: W: non-standard-dir-in-usr i686-pc-mingw32
1 packages and 0 specfiles checked; 2 errors, 52 warnings.

Look like false positives, because of the cross compiler nature of the packages
Comment 6 Tim Lauridsen 2009-01-16 05:30:10 EST
if the patch issue is handled, then i will remove the package.
Comment 7 Richard W.M. Jones 2009-01-16 06:37:19 EST
(In reply to comment #6)
> if the patch issue is handled, then i will remove the package.

Heh, hope you meant "approve" :-)

In hindsight, this package was a bit of a mess, so I have
made lots of improvements in the new version, including
using all the patches.

Spec URL: http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/file/tip/freetype/mingw32-freetype.spec
SRPM URL: http://www.annexia.org/tmp/mingw/fedora-10/src/SRPMS/mingw32-freetype-2.3.8-1.fc10.src.rpm

* Fri Jan 16 2009 Richard W.M. Jones <rjones@redhat.com> - 2.3.8-1
- New upstream version 2.3.8.
- Use the patches from the Fedora native package.
- Disable patented code.
- Don't build the static library.
- Use _smp_mflags.
- BR mingw32-dlfcn (not required, but uses it if installed).
- Add license file to doc section.

$ rpmlint mingw32-freetype-2.3.8-1.fc11.src.rpm mingw32-freetype-2.3.8-1.fc11.noarch.rpm |
  grep -v devel-file-in-non-devel-package
mingw32-freetype.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libfreetype.dll.a
mingw32-freetype.noarch: E: script-without-shebang /usr/i686-pc-mingw32/sys-root/mingw/lib/libfreetype.la
mingw32-freetype.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libfreetype.dll.a
mingw32-freetype.noarch: W: non-standard-dir-in-usr i686-pc-mingw32

These can all be ignored.  (Note that the MinGW packaging
guidelines allow the *.la file).
Comment 8 Tim Lauridsen 2009-01-16 12:10:18 EST
Sources matches upstream:

6cf31a08826715a0d16ae366da9c7d3b  freetype-2.3.8.tar.bz2
6cf31a08826715a0d16ae366da9c7d3b  /home/tim/rpmbuild/SOURCES/freetype-2.3.8.tar.bz2
de1cc7cf098e11fba5898efdab1bc23d  freetype-doc-2.3.8.tar.bz2
de1cc7cf098e11fba5898efdab1bc23d  /home/tim/rpmbuild/SOURCES/freetype-doc-2.3.8.tar.bz2

The rest of the new spec looks fine.

APPROVED.
Comment 9 Richard W.M. Jones 2009-01-16 13:16:16 EST
New Package CVS Request
=======================
Package Name: mingw32-freetype
Short Description: Free and portable font rendering engine
Owners: rjones berrange lfarkas
Branches: EL-5 F-10
InitialCC:
Comment 10 Kevin Fenzi 2009-01-16 22:28:34 EST
cvs done.
Comment 11 Fedora Update System 2009-01-21 05:53:12 EST
mingw32-freetype-2.3.8-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-freetype-2.3.8-1.fc10
Comment 12 Fedora Update System 2009-01-21 16:31:07 EST
mingw32-freetype-2.3.8-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.